libmspack

Data Fields
mscabd_file Struct Reference

A structure which represents a single file in a cabinet or cabinet set. More...

`#include <mspack.h>`

Collaboration diagram for mscabd_file:
[legend]

## Data Fields
struct mscabd_file * | next
| The next file in the cabinet or cabinet set, or NULL if this is the final file. More...
char * | filename
| The filename of the file. More...
unsigned int | length
| The uncompressed length of the file, in bytes. More...
int | attribs
| File attributes. More...
char | time_h
| File's last modified time, hour field. More...
char | time_m
| File's last modified time, minute field. More...
char | time_s
| File's last modified time, second field. More...
char | date_d
| File's last modified date, day field. More...
char | date_m
| File's last modified date, month field. More...
int | date_y
| File's last modified date, year field. More...
struct mscabd_folder * | folder
| A pointer to the folder that contains this file. More...
unsigned int | offset
| The uncompressed offset of this file in its folder. More...

## Detailed Description

A structure which represents a single file in a cabinet or cabinet set.

All fields are READ ONLY.

## Field Documentation

## ◆ attribs

int mscabd_file::attribs

File attributes.

The following attributes are defined:

- MSCAB_ATTRIB_RDONLY indicates the file is write protected.
- MSCAB_ATTRIB_HIDDEN indicates the file is hidden.
- MSCAB_ATTRIB_SYSTEM indicates the file is a operating system file.
- MSCAB_ATTRIB_ARCH indicates the file is "archived".
- MSCAB_ATTRIB_EXEC indicates the file is an executable program.
- MSCAB_ATTRIB_UTF_NAME indicates the filename is in UTF8 format rather than ISO-8859-1.

## ◆ date_d

char mscabd_file::date_d

File's last modified date, day field.

## ◆ date_m

char mscabd_file::date_m

File's last modified date, month field.

## ◆ date_y

int mscabd_file::date_y

File's last modified date, year field.

## ◆ filename

char* mscabd_file::filename

The filename of the file.

A null terminated string of up to 255 bytes in length, it may be in either ISO-8859-1 or UTF8 format, depending on the file attributes.

See also
  attribs

## ◆ folder

struct mscabd_folder* mscabd_file::folder

A pointer to the folder that contains this file.

## ◆ length

unsigned int mscabd_file::length

The uncompressed length of the file, in bytes.

## ◆ next

struct mscabd_file* mscabd_file::next

The next file in the cabinet or cabinet set, or NULL if this is the final file.

## ◆ offset

unsigned int mscabd_file::offset

The uncompressed offset of this file in its folder.

## ◆ time_h

char mscabd_file::time_h

File's last modified time, hour field.

## ◆ time_m

char mscabd_file::time_m

File's last modified time, minute field.

## ◆ time_s

char mscabd_file::time_s

File's last modified time, second field.

The documentation for this struct was generated from the following file:

- mspack.h